#  SNT Advanced Software Developer Assessment 

This api backend was developed with CakePHP Framework (https://cakephp.org)  4.x.

## Deployment on Local Server

Download or clone this repository to a choice directory

Install WAMP or LAMP server depending on your OS

Create a virtual host for the api in WAMP or LAMP

Edit the `config\app_local.php` with the appropriate database name and mysql credentials to access the database. 

The api can be accessed on this server as well https://snt-api.thelastenvoy.com


Please find general installation details related to CAKEPHP below.


## Installation

1. Download [Composer](https://getcomposer.org/doc/00-intro.md) or update `composer self-update`.
2. Run `php composer.phar create-project --prefer-dist cakephp/app [app_name]`.

If Composer is installed globally, run

```bash
composer create-project --prefer-dist cakephp/app
```

In case you want to use a custom app dir name (e.g. `/myapp/`):

```bash
composer create-project --prefer-dist cakephp/app myapp
```

You can now either use your machine's webserver to view the default home page, or start
up the built-in webserver with:

```bash
bin/cake server -p 8765
```

Then visit `http://localhost:8765` to see the welcome page.

## Update

Since this skeleton is a starting point for your application and various files
would have been modified as per your needs, there isn't a way to provide
automated upgrades, so you have to do any updates manually.

## Configuration

Read and edit the environment specific `config/app_local.php` and setup the 
`'Datasources'` and any other configuration relevant for your application.
Other environment agnostic settings can be changed in `config/app.php`.

## Layout

The app skeleton uses [Milligram](https://milligram.io/) (v1.3) minimalist CSS
framework by default. You can, however, replace it with any other library or
custom styles.
